package com.ruoyi.invest.service;

import com.ruoyi.invest.domain.dto.AnalysisDto;

import java.util.Map;

/**
 * @author 22077662
 */
public interface IStatisticAnalysisService {

    public Map<String, Object> getIncomeInfo();

    public Map<String, Object> getBaseAccountInfo();

    public Map<String, Object> getDebetInfo();


    public Map<String, Object> getCreditInfo();

    public Map<String, Object> getCreditAnalysis(AnalysisDto analysisDto);

    public Map<String, Object> getFuturesStocksAnalysis(AnalysisDto analysisDto);

    public Map<String, Object> getInstallmentHistoryAnalysis(AnalysisDto analysisDto);


    public Map<String, Object> getCreditRecordAnalysis(AnalysisDto analysisDto);

    public Map<String, Object> getInstallmentSettledAnalysis(AnalysisDto analysisDto);


    public Map<String, Object> getAccountsAnalysis(AnalysisDto analysisDto);

    public Map<String, Object> getPosAnalysis(AnalysisDto analysisDto);

    public Map<String, Object> getAccountsDealAnalysis(AnalysisDto analysisDto);

}
